<?php

/**
 * Yandex browser update constructor package for Concrete5
 *
 * @author Anton Schepetkov <schepetkov@gmail.com>
 * @copyright 2019, Anton Schepetkov
 * @package package\c5r_ya_update_constructor
 */

namespace Concrete\Package\C5rYaUpdateConstructor\Controller\SinglePage\Dashboard;

use Concrete\Core\Page\Controller\DashboardPageController;
use Concrete\Core\Package\Package;
use Concrete\Core\Http\Request;
use Concrete\Core\Support\Facade\Application;

class YaUpdateConstructor extends DashboardPageController
{

    public function on_start() {
        $this->set('app', $this->app);
    }

    public function view() {

        $pkg = Package::getByHandle('c5r_ya_update_constructor');

        // Enable plugin ?
        $ncEnabled = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncEnabled');
        $this->set('ncEnabled', $ncEnabled);

        // Settings for outdated browsers
        $ncType = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncType');
        $this->set('ncType', $ncType);
        $ncLanguage = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncLanguage');
        $this->set('ncLanguage', $ncLanguage);
        $ncColor = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncColor');
        $this->set('ncColor', $ncColor);

        // outdated browser
        $ncYabrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncYabrowser');
        $this->set('ncYabrowser', $ncYabrowser);
        $ncYabrowserVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncYabrowserVersion');
        $this->set('ncYabrowserVersion', $ncYabrowserVersion);
        $ncChromeBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncChromeBrowser');
        $this->set('ncChromeBrowser', $ncChromeBrowser);
        $ncChromeVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncChromeVersion');
        $this->set('ncChromeVersion', $ncChromeVersion);
        $ncIeBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncIeBrowser');
        $this->set('ncIeBrowser', $ncIeBrowser);
        $ncIeVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncIeVersion');
        $this->set('ncIeVersion', $ncIeVersion);
        $ncOperaBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncOperaBrowser');
        $this->set('ncOperaBrowser', $ncOperaBrowser);
        $ncOperaVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncOperaVersion');
        $this->set('ncOperaVersion', $ncOperaVersion);
        $ncSafariBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncSafariBrowser');
        $this->set('ncSafariBrowser', $ncSafariBrowser);
        $ncSafariVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncSafariVersion');
        $this->set('ncSafariVersion', $ncSafariVersion);
        $ncFxBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncFxBrowser');
        $this->set('ncFxBrowser', $ncFxBrowser);
        $ncFxVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncFxVersion');
        $this->set('ncFxVersion', $ncFxVersion);
        $ncIronBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncIronBrowser');
        $this->set('ncIronBrowser', $ncIronBrowser);
        $ncIronVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncIronVersion');
        $this->set('ncIronVersion', $ncIronVersion);
        $ncFlockBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncFlockBrowser');
        $this->set('ncFlockBrowser', $ncFlockBrowser);
        $ncFlockVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncFlockVersion');
        $this->set('ncFlockVersion', $ncFlockVersion);
        $ncPalemoonBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncPalemoonBrowser');
        $this->set('ncPalemoonBrowser', $ncPalemoonBrowser);
        $ncPalemoonVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncPalemoonVersion');
        $this->set('ncPalemoonVersion', $ncPalemoonVersion);
        $ncCaminoBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncCaminoBrowser');
        $this->set('ncCaminoBrowser', $ncCaminoBrowser);
        $ncCaminoVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncCaminoVersion');
        $this->set('ncCaminoVersion', $ncCaminoVersion);
        $ncMaxthonBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncMaxthonBrowser');
        $this->set('ncMaxthonBrowser', $ncMaxthonBrowser);
        $ncMaxthonVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncMaxthonVersion');
        $this->set('ncMaxthonVersion', $ncMaxthonVersion);
        $ncSeamonkeyBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncSeamonkeyBrowser');
        $this->set('ncSeamonkeyBrowser', $ncSeamonkeyBrowser);
        $ncSeamonkeyVersion = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncSeamonkeyVersion');
        $this->set('ncSeamonkeyVersion', $ncSeamonkeyVersion);

        // compatible browser
        $ncCompatibleBrowser = $pkg->getFileConfig()->get('c5r.ya_update_constructor.ncCompatibleBrowser');
        $this->set('ncCompatibleBrowser', $ncCompatibleBrowser);
    }

    public function success() {
        $this->set('success', t('Settings saved'));
        $this->view();
    }

    public function save_settings() {

        $token = $this->app->make('token');

        if (!$token->validate('save_settings')) {

            $this->set('error', array($this->token->getErrorMessage()));
            $this->view();

        } else {

            if ($this->request->request) {

                $pkg = Package::getByHandle('c5r_ya_update_constructor');

                $ncEnabled = $this->request->request->get('ncEnabled') ? 1 : 0;
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncEnabled', $ncEnabled);

                $ncType = $this->request->request->get('ncType');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncType', $ncType);
                $ncLanguage = $this->request->request->get('ncLanguage');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncLanguage', $ncLanguage);
                $ncColor = $this->request->request->get('ncColor');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncColor', $ncColor);

                //outdated browser
                $ncYabrowser = $this->request->request->get('ncYabrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncYabrowser', $ncYabrowser);
                $ncYabrowserVersion = $this->request->request->get('ncYabrowserVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncYabrowserVersion', $ncYabrowserVersion);
                $ncChromeBrowser = $this->request->request->get('ncChromeBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncChromeBrowser', $ncChromeBrowser);
                $ncChromeVersion = $this->request->request->get('ncChromeVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncChromeVersion', $ncChromeVersion);
                $ncIeBrowser = $this->request->request->get('ncIeBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncIeBrowser', $ncIeBrowser);
                $ncIeVersion = $this->request->request->get('ncIeVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncIeVersion', $ncIeVersion);
                $ncOperaBrowser = $this->request->request->get('ncOperaBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncOperaBrowser', $ncOperaBrowser);
                $ncOperaVersion = $this->request->request->get('ncOperaVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncOperaVersion', $ncOperaVersion);
                $ncSafariBrowser = $this->request->request->get('ncSafariBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncSafariBrowser', $ncSafariBrowser);
                $ncSafariVersion = $this->request->request->get('ncSafariVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncSafariVersion', $ncSafariVersion);
                $ncFxBrowser = $this->request->request->get('ncFxBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncFxBrowser', $ncFxBrowser);
                $ncFxVersion = $this->request->request->get('ncFxVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncFxVersion', $ncFxVersion);
                $ncIronBrowser = $this->request->request->get('ncIronBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncIronBrowser', $ncIronBrowser);
                $ncIronVersion = $this->request->request->get('ncIronVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncIronVersion', $ncIronVersion);
                $ncFlockBrowser = $this->request->request->get('ncFlockBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncFlockBrowser', $ncFlockBrowser);
                $ncFlockVersion = $this->request->request->get('ncFlockVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncFlockVersion', $ncFlockVersion);
                $ncPalemoonBrowser = $this->request->request->get('ncPalemoonBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncPalemoonBrowser', $ncPalemoonBrowser);
                $ncPalemoonVersion = $this->request->request->get('ncPalemoonVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncPalemoonVersion', $ncPalemoonVersion);
                $ncCaminoBrowser = $this->request->request->get('ncCaminoBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncCaminoBrowser', $ncCaminoBrowser);
                $ncCaminoVersion = $this->request->request->get('ncCaminoVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncCaminoVersion', $ncCaminoVersion);
                $ncMaxthonBrowser = $this->request->request->get('ncMaxthonBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncMaxthonBrowser', $ncMaxthonBrowser);
                $ncMaxthonVersion = $this->request->request->get('ncMaxthonVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncMaxthonVersion', $ncMaxthonVersion);
                $ncSeamonkeyBrowser = $this->request->request->get('ncSeamonkeyBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncSeamonkeyBrowser', $ncSeamonkeyBrowser);
                $ncSeamonkeyVersion = $this->request->request->get('ncSeamonkeyVersion');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncSeamonkeyVersion', $ncSeamonkeyVersion);

                // compatible browser
                $ncCompatibleBrowser = $this->request->request->get('ncCompatibleBrowser');
                $pkg->getFileConfig()->save('c5r.ya_update_constructor.ncCompatibleBrowser', $ncCompatibleBrowser);

                $this->success();
            }
        }
    }
}
