<?php defined('C5_EXECUTE') or die("Access Denied.");

/**
 * Yandex update constructor package for Concrete5
 *
 * @author Anton Schepetkov <schepetkov@gmail.com>
 * @copyright 2019, Anton Schepetkov
 * @package package\c5r_ya_update_constructor
 */

?>

<?php
    $form = $app->make('helper/form');
    $token = $app->make('token');
    $v = Concrete\Core\View\View::getInstance();
?>

<form method="post" action="<?php echo $this->action('save_settings'); ?>">

    <?php $token->output('save_settings'); ?>

    <fieldset>
<?php echo $packageName; ?>
        <div class="row">
            <div class="col-xs-12">
                <div class="form-group">
                    <?php echo $form->checkbox('ncEnabled', 1, $ncEnabled) ?>
                    <label class="control-label" for="ncEnabled"><?php echo t('Enable Notification?')?>
                        <i class="launch-tooltip fa fa-question-circle"
                           title="<?php  echo t('When enabled users will get notification about outdated or not compatible browser.');?>">
                        </i>
                    </label>
                </div>
            </div>
        </div>
        <hr>
        <div class="row<?php if (!$ncEnabled) echo ' row__plugin_disabled'; ?>" id="browserSettings__row">
            <div class="col-xs-12 col-md-4">

                <div class="form-group">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h3 class="panel-title"><?php echo t('Notification language'); ?></h3>
                        </div>
                        <div class="panel-body">

                            <div class="browserSettings__languagesList">
                                <label for="ncLanguage1" class="browserSettings__languageItem">
                                    <?php echo $form->radio('ncLanguage', 'ru', $ncLanguage); ?>
                                    <span class="browserSettings__languageText"><?php echo t('Russian'); ?></span>
                                </label>
                                <label for="ncLanguage2" class="browserSettings__languageItem">
                                    <?php echo $form->radio('ncLanguage', 'en', $ncLanguage); ?>
                                    <span class="browserSettings__languageText"><?php echo t('English'); ?></span>
                                </label>
                                <label for="ncLanguage3" class="browserSettings__languageItem">
                                    <?php echo $form->radio('ncLanguage', 'tr', $ncLanguage); ?>
                                    <span class="browserSettings__languageText"><?php echo t('Turkish'); ?></span>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h3 class="panel-title"><?php echo t('Notification type'); ?></h3>
                        </div>
                        <div class="panel-body">
                            <?php echo $form->select('ncType', array(
                                '0' => t('Outdated browser'),
                                '1' => t('Unsupported browser'),
                            ), $ncType, array('class' => 'browserSettings__type')) ?>
                        </div>
                    </div>
                </div>

                <div class="form-variants">
                    <div class="form-item browserSettings__form" id="browserSettings__form_0" style="<?php if ($ncType == 1) echo ' display: none' ?>">
                        <div class="form-group">
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h4><?php echo t('Color of the notification bar'); ?></h4>
                                </div>
                                <div class="panel-body">

                                    <div class="browserSettings__colorList">
                                        <label class="browserSettings__colorItem browserSettings__colorItem_yellow">
                                            <?php echo $form->radio('ncColor', 'yellow', $ncColor); ?>
                                            <div class="browserSettings__colorCheck"></div>
                                        </label>
                                        <label class="browserSettings__colorItem browserSettings__colorItem_red">
                                            <?php echo $form->radio('ncColor', 'red', $ncColor); ?>
                                            <div class="browserSettings__colorCheck"></div>
                                        </label>
                                        <label class="browserSettings__colorItem browserSettings__colorItem_blue">
                                            <?php echo $form->radio('ncColor', 'blue', $ncColor); ?>
                                            <div class="browserSettings__colorCheck"></div>
                                        </label>
                                        <label class="browserSettings__colorItem browserSettings__colorItem_green">
                                            <?php echo $form->radio('ncColor', 'green', $ncColor); ?>
                                            <div class="browserSettings__colorCheck"></div>
                                        </label>
                                        <label class="browserSettings__colorItem browserSettings__colorItem_white">
                                            <?php echo $form->radio('ncColor', 'white', $ncColor); ?>
                                            <div class="browserSettings__colorCheck"></div>
                                        </label>
                                        <label class="browserSettings__colorItem browserSettings__colorItem_black">
                                            <?php echo $form->radio('ncColor', 'black', $ncColor); ?>
                                            <div class="browserSettings__colorCheck"></div>
                                        </label>
                                        <label class="browserSettings__colorItem browserSettings__colorItem_grey">
                                            <?php echo $form->radio('ncColor', 'grey', $ncColor); ?>
                                            <div class="browserSettings__colorCheck"></div>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div>
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h4><?php echo t('Which browsers are considered outdated?'); ?></h4>
                                </div>
                                <div class="panel-body">

                                    <ul class="browserSettings__browserList">
                                        <li class="form-inline">
                                            <div class="form-group">
                                                <label class="checkbox">
                                                    <?php echo $form->checkbox('ncYabrowser', 1, $ncYabrowser) ?> <?php echo t('Yandex.Browser'); ?>
                                                </label>
                                            </div>
                                            <div class="form-group">
                                                <?php echo $form->select('ncYabrowserVersion', array(
                                                    '16.12' => '16.12',
                                                    '16.11' => '16.11',
                                                    '16.10' => '16.10',
                                                    '16.9' => '16.9',
                                                    '16.8' => '16.8',
                                                    '16.7' => '16.7',
                                                    '16.6' => '16.6',
                                                    '16.5' => '16.5',
                                                    '16.4' => '16.4',
                                                    '16.3' => '16.3',
                                                    '16.2' => '16.2',
                                                    '16.1' => '16.1'
                                                ), $ncYabrowserVersion) ?>
                                                <?php echo t('and lower'); ?>
                                            </div>
                                        </li>
                                        <li class="form-inline">
                                            <div class="form-group">
                                                 <label class="checkbox">
                                                     <?php echo $form->checkbox('ncChromeBrowser', 1, $ncChromeBrowser) ?> <?php echo t('Google Chrome'); ?>
                                                </label>
                                            </div>
                                            <div class="form-group">
                                                <?php echo $form->select('ncChromeVersion', array(
                                                    '62' => '62',
                                                    '61' => '61',
                                                    '60' => '60',
                                                    '59' => '59',
                                                    '58' => '58',
                                                    '57' => '57',
                                                    '56' => '56',
                                                    '55' => '55',
                                                    '54' => '54',
                                                    '53' => '53',
                                                    '52' => '52',
                                                    '51' => '51',
                                                    '50' => '50',
                                                    '49' => '49',
                                                    '48' => '48',
                                                    '47' => '47',
                                                    '46' => '46',
                                                    '45' => '45',
                                                    '44' => '44',
                                                    '43' => '43',
                                                    '42' => '42',
                                                    '41' => '41',
                                                    '40' => '40',
                                                    '39' => '39',
                                                    '38' => '38',
                                                    '37' => '37',
                                                    '36' => '36',
                                                    '35' => '35',
                                                    '34' => '34',
                                                    '33' => '33',
                                                    '32' => '32',
                                                    '31' => '31',
                                                    '30' => '30',
                                                    '29' => '29',
                                                    '28' => '28',
                                                    '27' => '27',
                                                    '26' => '26',
                                                    '25' => '25',
                                                    '24' => '24',
                                                    '23' => '23',
                                                    '22' => '22',
                                                    '21' => '21',
                                                    '20' => '20',
                                                    '19' => '19',
                                                    '18' => '18',
                                                    '17' => '17',
                                                    '16' => '16',
                                                    '15' => '15',
                                                    '14' => '14',
                                                    '13' => '13',
                                                    '12' => '12',
                                                    '11' => '11',
                                                    '10' => '10',
                                                    '9' => '9',
                                                    '8' => '8',
                                                    '7' => '7',
                                                    '6' => '6',
                                                    '5' => '5',
                                                    '4' => '4',
                                                ), $ncChromeVersion) ?>
                                                <?php echo t('and lower'); ?>
                                            </div>
                                        </li>
                                        <li class="form-inline">
                                            <div class="form-group">
                                                <label class="checkbox">
                                                    <?php echo $form->checkbox('ncIeBrowser', 1, $ncIeBrowser) ?> <?php echo t('Internet Explorer'); ?>
                                                </label>
                                            </div>
                                            <div class="form-group">
                                                <?php echo $form->select('ncIeVersion', array(
                                                    '10' => '10',
                                                    '9' => '9',
                                                    '8' => '8',
                                                    '7' => '7',
                                                    '6' => '6',
                                                    '5.5' => '5.5',
                                                ), $ncIeVersion) ?>
                                                <?php echo t('and lower'); ?>
                                            </div>
                                        </li>
                                       <li class="form-inline">
                                           <div class="form-group">
                                               <label class="checkbox">
                                                   <?php echo $form->checkbox('ncOperaBrowser', 1, $ncOperaBrowser) ?> <?php echo t('Opera'); ?>
                                               </label>
                                           </div>
                                           <div class="form-group">
                                               <?php echo $form->select('ncOperaVersion', array(
                                                    '49' => '49',
                                                    '48' => '48',
                                                    '47' => '47',
                                                    '46' => '46',
                                                    '45' => '45',
                                                    '44' => '44',
                                                    '43' => '43',
                                                    '42' => '42',
                                                    '41' => '41',
                                                    '40' => '40',
                                                    '39' => '39',
                                                    '38' => '38',
                                                    '37' => '37',
                                                    '36' => '36',
                                                    '35' => '35',
                                                    '34' => '34',
                                                    '33' => '33',
                                                    '32' => '32',
                                                    '31' => '31',
                                                    '30' => '30',
                                                    '29' => '29',
                                                    '28' => '28',
                                                    '27' => '27',
                                                    '26' => '26',
                                                    '25' => '25',
                                                    '24' => '24',
                                                    '23' => '23',
                                                    '22' => '22',
                                                    '21' => '21',
                                                    '20' => '20',
                                                    '19' => '19',
                                                    '18' => '18',
                                                    '17' => '17',
                                                    '16' => '16',
                                                    '15' => '15',
                                                    '12.1' => '12.1',
                                                    '12' => '12',
                                                    '11.6' => '11.6',
                                                    '11.5' => '11.5',
                                                    '11.1' => '11.1',
                                                    '11' => '11',
                                                    '10.6' => '10.6',
                                                    '10.5' => '10.5',
                                                    '9' => '9',
                                                   ), $ncOperaVersion) ?>
                                               <?php echo t('and lower'); ?>
                                           </div>
                                       </li>
                                       <li class="form-inline">
                                           <div class="form-group">
                                               <label class="checkbox">
                                                   <?php echo $form->checkbox('ncSafariBrowser', 1, $ncSafariBrowser) ?> <?php echo t('Safari'); ?>
                                               </label>
                                           </div>
                                           <div class="form-group">
                                               <?php echo $form->select('ncSafariVersion', array(
                                                    '9.1' => '9.1',
                                                    '9' => '9',
                                                    '8' => '8',
                                                    '7.1' => '7.1',
                                                    '7' => '7',
                                                    '6.1' => '6.1',
                                                    '6' => '6',
                                                    '5.1' => '5.1',
                                                    '5' => '5',
                                                    '4' => '4',
                                                    '3.2' => '3.2',
                                                    '3.1' => '3.1',
                                               ), $ncSafariVersion) ?>
                                               <?php echo t('and lower'); ?>
                                           </div>
                                       </li>
                                       <li class="form-inline">
                                           <div class="form-group">
                                               <label class="checkbox">
                                                   <?php echo $form->checkbox('ncFxBrowser', 1, $ncFxBrowser) ?> <?php echo t('Firefox'); ?>
                                               </label>
                                           </div>
                                           <div class="form-group">
                                               <?php echo $form->select('ncFxVersion', array(
                                                    '57' => '57',
                                                    '56' => '56',
                                                    '55' => '55',
                                                    '54' => '54',
                                                    '53' => '53',
                                                    '52' => '52',
                                                    '51' => '51',
                                                    '50' => '50',
                                                    '49' => '49',
                                                    '48' => '48',
                                                    '47' => '47',
                                                    '46' => '46',
                                                    '45' => '45',
                                                    '44' => '44',
                                                    '43' => '43',
                                                    '42' => '42',
                                                    '41' => '41',
                                                    '40' => '40',
                                                    '39' => '39',
                                                    '38' => '38',
                                                    '37' => '37',
                                                    '36' => '36',
                                                    '35' => '35',
                                                    '34' => '34',
                                                    '33' => '33',
                                                    '32' => '32',
                                                    '31' => '31',
                                                    '30' => '30',
                                                    '29' => '29',
                                                    '28' => '28',
                                                    '27' => '27',
                                                    '26' => '26',
                                                    '25' => '25',
                                                    '24' => '24',
                                                    '23' => '23',
                                                    '22' => '22',
                                                    '21' => '21',
                                                    '20' => '20',
                                                    '19' => '19',
                                                    '18' => '18',
                                                    '17' => '17',
                                                    '16' => '16',
                                                    '15' => '15',
                                                    '14' => '14',
                                                    '13' => '13',
                                                    '12' => '12',
                                                    '11' => '11',
                                                    '10' =>  '10',
                                                    '9' => '9',
                                                    '8' => '8',
                                                    '7' => '7',
                                                    '6' => '6',
                                                    '5' => '5',
                                                    '4' => '4',
                                                    '3.6' => '3.6',
                                                    '3.5' => '3.5',
                                                    '3' => '3',
                                                    '2' => '2',
                                               ), $ncFxVersion) ?>
                                               <?php echo t('and lower'); ?>
                                            </div>
                                       </li>
                                       <li class="form-inline">
                                           <div class="form-group">
                                               <label class="checkbox">
                                                   <?php echo $form->checkbox('ncIronBrowser', 1, $ncIronBrowser) ?> <?php echo t('Iron'); ?>
                                               </label>
                                           </div>
                                           <div class="form-group">
                                               <?php echo $form->select('ncIronVersion', array(
                                                    '35' => '35',
                                               ), $ncFxVersion) ?> <?php echo t('and lower'); ?>
                                            </div>
                                       </li>
                                       <li class="form-inline">
                                           <div class="form-group">
                                               <label class="checkbox">
                                                   <?php echo $form->checkbox('ncFlockBrowser', 1, $ncFlockBrowser) ?> <?php echo t('Flock'); ?>
                                               </label>
                                           </div>
                                           <div class="form-group">
                                               <?php echo $form->select('ncFlockVersion', array(
                                                    'Infinity' => t('All versions')
                                               ), $ncFlockVersion) ?>
                                           </div>
                                       </li>
                                       <li class="form-inline">
                                           <div class="form-group">
                                               <label class="checkbox">
                                                   <?php echo $form->checkbox('ncPalemoonBrowser', 1, $ncPalemoonBrowser) ?> <?php echo t('Pale Moon'); ?>
                                               </label>
                                           </div>
                                           <div class="form-group">
                                               <?php echo $form->select('ncPalemoonVersion', array(
                                                   '25' => '25'
                                               ), $ncPalemoonVersion) ?>
                                               <?php echo t('and lower'); ?>
                                           </div>
                                        </li>
                                       <li class="form-inline">
                                           <div class="form-group">
                                               <label class="checkbox">
                                                   <?php echo $form->checkbox('ncCaminoBrowser', 1, $ncCaminoBrowser) ?> <?php echo t('Camino'); ?>
                                               </label>
                                           </div>
                                           <div class="form-group">
                                               <?php echo $form->select('ncCaminoVersion', array(
                                                   'Infinity' => t('All versions'),
                                               ), $ncCaminoVersion) ?>
                                           </div>
                                       </li>
                                       <li class="form-inline">
                                           <div class="form-group">
                                               <label class="checkbox">
                                                   <?php echo $form->checkbox('ncMaxthonBrowser', 1, $ncMaxthonBrowser) ?> <?php echo t('Maxthon'); ?>
                                               </label>
                                           </div>
                                           <div class="form-group">
                                               <?php echo $form->select('ncMaxthonVersion', array(
                                                   '4.5' => '4.5',
                                               ), $ncMaxthonVersion) ?> <?php echo t('and lower'); ?>
                                           </div>
                                       </li>
                                       <li class="form-inline">
                                           <div class="form-group">
                                               <label class="checkbox">
                                                   <?php echo $form->checkbox('ncSeamonkeyBrowser', 1, $ncSeamonkeyBrowser) ?> <?php echo t('SeaMonkey'); ?>
                                               </label>
                                           </div>
                                           <div class="form-group">
                                               <?php echo $form->select('ncSeamonkeyVersion', array(
                                                   '2.3' => '2.3',
                                               ), $ncSeamonkeyVersion) ?>
                                               <?php echo t('and lower'); ?>
                                           </div>
                                       </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-item browserSettings__form" id="browserSettings__form_1" style="<?php if ($ncType == 0) echo ' display: none' ?>">
                        <div class="form-group">
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h4><?php echo t('Your site works with:'); ?></h4>
                                </div>
                                <div class="panel-body">
                                    <div class="radio">
                                        <label class="browserSettings__radioBox radioBox">
                                            <span class="radioBox__box">
                                                <?php echo $form->radio('ncCompatibleBrowser', 'yabrowser', $ncCompatibleBrowser); ?>
                                                <div class="radioBox__mark"></div>
                                            </span>
                                            <span class="radioBox__text"><?php echo t('Yandex.Browser'); ?></span>
                                        </label>
                                    </div>
                                    <div class="radio">
                                        <label class="radiobox__radio">
                                            <span class="radiobox__box">
                                                <?php echo $form->radio('ncCompatibleBrowser', 'chrome', $ncCompatibleBrowser); ?>
                                            </span>
                                            <span class="radiobox__text"><?php echo t('Google Chrome'); ?></span>
                                        </label>
                                    </div>
                                    <div class="radio">
                                        <label class="radiobox__radio">
                                            <span class="radiobox__box">
                                               <?php echo $form->radio('ncCompatibleBrowser', 'fx', $ncCompatibleBrowser); ?>
                                            </span>
                                            <span class="radiobox__text"><?php echo t('Firefox'); ?></span>
                                        </label>
                                    </div>
                                    <div class="radio">
                                        <label class="radiobox__radio">
                                            <span class="radiobox__box">
                                                <?php echo $form->radio('ncCompatibleBrowser', 'ie', $ncCompatibleBrowser); ?>
                                            </span>
                                            <span class="radiobox__text"><?php echo t('Internet Explorer'); ?></span>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xs-12 col-md-8">

                <div class="browserPreview">
                    <div class="browserPreview__head"></div>
                    <div id="browserPreview__strip" <?php if ($ncType == 1) echo "style=\"display: none;\""; ?> class="browserPreview__strip strip strip_color_<?php echo $ncColor ?>">

                        <span id="browserPreview__stripTitle" class="browserPreview__stripTitle">
                            <?php
                                /* We don't need t-function here. Text should be displayed as is, without translating */
                                if ($ncLanguage == 'ru') {
                                    echo 'Ваш браузер Internet Explorer устарел и не обеспечивает полноценную и безопасную работу с сайтом';
                                } elseif ($ncLanguage == 'tr') {
                                    echo 'Kullandığınız tarayıcı (Internet Explorer) güncel değil. Bu tarayıcıyı kullanarak bu siteyle güvenli ve hatasız çalışamayabilirsiniz';
                                } else {
                                    echo 'Your browser Internet Explorer is out of date and does not provide you with a complete site experience, or keep you safe while browsing';
                                }

                            ?>
                        </span>
                        <div class="browserPreview__stripButtonWrapper">
                            <div id="browserPreview__stripButton" class="browserPreview__stripButton">
                                <?php
                                    /* We don't need t-function here. Text should be displayed as is, without translating */
                                    if ($ncLanguage == 'ru') {
                                        echo 'Обновить';
                                    } elseif ($ncLanguage == 'tr') {
                                        echo 'Güncelle';
                                    } else {
                                        echo 'Update';
                                    }
                                ?>
                            </div>
                            <div class="browserPreview__stripClose">×</div>
                        </div>
                    </div>
                    <div class="browserPreview__window<?php if ($ncType == 1) echo ' browserPreview__window_exclusive'; ?>" id="browserPreview__window">
                        <div class="browserPreview__frameWrapper">
                            <iframe id="browserPreview__frame"
                                    class="browserPreview__frame"
                                    <?php if ($ncType == 1) { ?>
                                        src="https://yastatic.net/browser-updater/exclusive/<?php echo $ncCompatibleBrowser; ?>.<?php echo $ncLanguage; ?>.html"
                                    <?php } else { ?>
                                        src="https://yastatic.net/browser-updater/choice/outdated.<?php echo $ncLanguage; ?>.html"
                                    <?php } ?>
                                    frameborder="0"
                                    allowtransparency="true">
                            </iframe>
                        </div>
                    </div>
                </div>

            </div>
            <?php
                // Includes plugin to get Ya-constructor in the script below
                $v->addHeaderItem('<script src="//yastatic.net/browser-updater/v1/script.js" charset="utf-8"></script>');
            ?>
            <script>

                (function() {

                    const constructorType = document.getElementById('ncType'),
                        constructorEnable = document.getElementById('ncEnabled'),

                        constructorForms = document.getElementsByClassName('browserSettings__form'),
                        constructorLanguage = document.querySelectorAll('input[name=ncLanguage]'),
                        constructorColor = document.querySelectorAll('input[name=ncColor]'),
                        constructorCompatibleBrowser = document.querySelectorAll('input[name=ncCompatibleBrowser]'),
                        browserPreview__title = document.getElementById('browserPreview__stripTitle'),
                        browserPreview__button = document.getElementById('browserPreview__stripButton'),
                        yaConstructor = new Ya.i18n();

                    function getCurrentLanguage() {
                        return document.querySelectorAll("input[name=ncLanguage]:checked")[0].value;
                    }

                    function statusPlugin(status) {
                        const constructorSettingsRow = document.getElementById('browserSettings__row'),
                            constructorEnableValue = document.getElementById('ncEnabled').checked;

                        if (status) {
                            constructorSettingsRow.classList.remove('row__plugin_disabled');
                        } else {
                            constructorSettingsRow.classList.add('row__plugin_disabled');
                        }
                    }

                    function getExclusiveBrowser() {
                        return document.querySelectorAll("input[name=ncCompatibleBrowser]:checked")[0].value;
                    }

                    function isExclusiveType() {
                        return !!(document.getElementById('ncType').value * 1);
                    }

                    function showStrip(check) {
                        const strip = document.getElementById('browserPreview__strip');

                        strip.style.display = (check) ? 'none' : 'block';
                    }

                    function setExclusiveWindow() {
                        const previewWindow = document.getElementById('browserPreview__window'),
                            isExclusive = isExclusiveType();

                        if (isExclusive) {
                            previewWindow.classList.add('browserPreview__window_exclusive');
                        } else {
                            previewWindow.classList.remove('browserPreview__window_exclusive');
                        }
                    }

                    function setStripColor(color) {
                        const browserPreview__strip = document.getElementById('browserPreview__strip');

                        browserPreview__strip.className = '';
                        browserPreview__strip.classList.add('browserPreview__strip', 'strip', 'strip_color_' + color);
                    }

                    function changeFrameSrc() {
                        const browserPreview__frame = document.getElementById('browserPreview__frame'),
                            isExclusive = isExclusiveType();

                        if (isExclusive) {
                            browserPreview__frame.src = 'https://yastatic.net/browser-updater/exclusive/' + getExclusiveBrowser() + '.' + getCurrentLanguage() + '.html';
                        } else {
                            browserPreview__frame.src = 'https://yastatic.net/browser-updater/choice/outdated.' + getCurrentLanguage() + '.html';
                        }
                    }

                    function changeLang() {
                        const value = this.value,
                            titleText = yaConstructor[value].title.replace('%%', 'Internet Explorer'),
                            buttonText = yaConstructor[value]['button.update'];

                        changeFrameSrc();
                        browserPreview__title.textContent = titleText;
                        browserPreview__button.textContent = buttonText;
                    }

                    function changeColor() {
                        const value = this.value;
                        setStripColor(value);
                    }


                    function changeEnabled() {
                        const value = this.checked;
                        statusPlugin(value);
                    }

                    constructorEnable.addEventListener('change', changeEnabled);

                    Array.prototype.forEach.call(constructorLanguage, function(item) {
                        item.addEventListener('change', changeLang);
                    });

                    Array.prototype.forEach.call(constructorColor, function(item) {
                        item.addEventListener('change', changeColor);
                    });

                    Array.prototype.forEach.call(constructorCompatibleBrowser, function(item) {
                        item.addEventListener('change', changeFrameSrc);
                    });

                    constructorType.addEventListener('change', function(e) {
                        const value = this.value;

                        for (var i = 0; i < constructorForms.length; i++) {
                            constructorForms[i].style.display = 'none';
                        }
                        document.getElementById('browserSettings__form_' + value).style.display = 'block';

                        showStrip(isExclusiveType());
                        changeFrameSrc();
                        setExclusiveWindow();
                    });
                })();

            </script>
        </div>

    </fieldset>
    <div class="ccm-dashboard-form-actions-wrapper">
        <div class="ccm-dashboard-form-actions">
            <button class="pull-right btn btn-success" type="submit"><?php  echo t('Save');?></button>
        </div>
    </div>
</form>

<style>

    .row__plugin_disabled {
        opacity: 0.2;
        pointer-events: none;
        user-select: none;
    }

    .browserSettings__languageItem {
        position: relative;
        user-select: none;
        cursor: pointer;
    }

    .browserSettings__languageItem input[type=radio] {
        opacity: 0;
        position: absolute;
        left: -99999px;
    }

    .browserSettings__languageText {
        color: #000;
        padding: 5px 10px;
        display: block;
        border-radius: 3px;
        border: 1px solid #777;
    }
    .browserSettings__languageItem > input[type=radio] {
        position: absolute;
    }
    .browserSettings__languageItem > input[type=radio]:checked + .browserSettings__languageText {
        background-color: #00cc00;
        color: #fff;
    }
    .browserSettings__colorList {
        display: flex;
        flex-wrap: wrap;
    }
    .browserSettings__colorItem {
        width: 40px;
        height: 30px;
        border-radius: 3px;
        margin-right: 10px;
        margin-bottom: 5px;
        border: 1px solid #ddd;
        cursor: pointer;
    }

    .browserSettings__colorItem input[type=radio] {
        opacity: 0;
        position: absolute;
        left: -99999px;
    }

    .browserSettings__colorItem input[type=radio]:checked +  .browserSettings__colorCheck::after {
        content: '\2713';
        color: #000;
        font-size: 20px;
        line-height: 30px;
        text-align: center;
        width: 100%;
        display: block;
    }
    .browserSettings__colorItem.browserSettings__colorItem_black input[type=radio]:checked +  .browserSettings__colorCheck::after {
        color: #fff;
    }

    .browserSettings__colorItem_yellow {
        background-color: #ffdc3a;
    }
    .browserSettings__colorItem_red {
        background-color: #f00;
    }
    .browserSettings__colorItem_blue {
        background-color: #7dcef9;
    }
    .browserSettings__colorItem_green {
        background-color: #84cd78;
    }
    .browserSettings__colorItem_white {
        background-color: #fafafa;
    }
    .browserSettings__colorItem_black {
        background-color: #000;
    }
    .browserSettings__colorItem_grey {
        background-color: #808080;
    }

    .browserSettings__browserList {
        list-style: none;
        padding-left: 0;
    }

    .browserSettings__browserList .form-group:first-child {
        width: 150px;
        text-align: right;
    }

    .browserSettings__browserList .form-group + .form-group{
        margin-left: 10px;
    }

    .browserSettings__browserList .form-inline + .form-inline {
        border-top: 1px solid #eee;
        margin-top: 10px;
        padding-top: 10px
    }

    .browserSettings__browserList .form-inline .form-group .form-control {
        margin-right: 5px;
        width: 140px;
    }

    .browserPreview__head {
        height: 40px;
        border-top-left-radius: 6px;
        border-top-right-radius: 6px;
        background-color: #d9d9d9;
        position: relative;
    }

    .browserPreview__head::before {
        content: '\2022 \2022 \2022';
        color: #fff;
        font-size: 30px;
        line-height: 32px;
        position: absolute;
        top: 50%;
        margin-top: -15px;
        left: 20px;
    }

    .browserPreview__window {
        position: relative;
        height: 460px;
        background: #f2f2f2;
    }

    @media screen and (min-width: 992px) and (max-width: 1446px) {
        .browserPreview__window {
            height: 380px;
        }
    }

    .browserPreview__window:not(.browserPreview__window_exclusive)::before {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 90%;
        height: 90%;
        content: '';
        background-color: #d9d9d9;
    }
    .browserPreview__window.browserPreview__window_exclusive .browserPreview__frameWrapper {
        position: absolute;
        top: 0;
        left: 0;
        display: block;
        width: 100%;
        height: 550px;
        border: 0;
    }

    .browserPreview__window:not(.browserPreview__window_exclusive) .browserPreview__frameWrapper {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) scale(.8);
        display: block;
        width: 700px;
        height: 360px;
        padding: 20px 30px 0;
        border: 0;
        background-color: #fff;
        box-shadow: 0 4px 20px #a0a0a0;
    }

    @media screen and (min-width: 992px) and (max-width: 1446px) {
        .browserPreview__window:not(.browserPreview__window_exclusive) .browserPreview__frameWrapper {
            transform: translate(-50%, -50%) scale(.5);
        }
    }

    .browserPreview__frame {
        width: 100%;
        height: 100%;
        border: 0;
    }

    .browserPreview__frameWrapper {
        margin-bottom: 120px;
    }

    .browserPreview__strip {
        position: relative;
        padding-left: 42px;
        padding-right: 122px;
        font: 13px Arial, Helvetica, sans-serif;
        line-height: 30px;
        -webkit-transition: background-color .3s ease-out, color .3s ease-out;
        transition: background-color .3s ease-out, color .3s ease-out;
    }

    .browserPreview__stripButtonWrapper {
        position: absolute;
        top: 0;
        right: 10px;
    }

    .browserPreview__stripButton {
        display: inline-block;
        margin-right: 10px;
        padding: 0 10px;
        outline: 0;
        -webkit-transition: background-color .3s ease-out;
        transition: background-color .3s ease-out;
        background-color: rgba(0, 0, 0, 0.1);
        cursor: pointer;
    }

    .browserPreview__stripClose {
        display: inline-block;
        cursor: pointer;
        line-height: 32px;
        vertical-align: middle;
        width: 16px;
        font-size: 30px;
        -webkit-transition: color .3s ease-out;
        transition: color .3s ease-out;
        color: #bbb;
    }

    .strip__button,.strip__close {
        line-height: 32px;
        vertical-align: middle;
    }

    .strip_color_yellow {
        color: #000;
        background-color: #ffdc3a;
    }

    .strip_color_red {
        color: #fff;
        background-color: red;
    }

    .strip_color_green {
        color: #fff;
        background-color: #84cd78;
    }

    .strip_color_blue {
        color: #fff;
        background-color: #7dcef9;
    }

    .strip_color_black {
        color: #fff;
        background-color: #000;
    }

    .strip_color_white {
        background-color: #fff;
    }

    .strip_color_grey {
        color: #fff;
        background-color: #808080;
    }

</style>
